Create Resident Payment: Propertyware REST
https://api.propexo.com/v1/resident-payments/propertyware_rest/| Method | Interface |
|---|---|
| POST /v1/leases/payments | Leases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the resident
The Propexo unique identifier for the financial account
The amount of the resident payment, in cents
The transaction date of the resident payment
Show 2 variants
The type of payment used for the resident payment
Show 14 enum values
CHECKCHECK21CASHIERS_CHECKCREDIT_CARDCASHMONEY_ORDEROTHERCLICKPAYSECTION8EPAYECHECKNACHARENTMONEYPUBLIC_ASSISTANCEThe reference number for the resident payment
Description of the resident payment
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the resident
The Propexo unique identifier for the financial account
The amount of the resident payment, in cents
Show 2 variants
The type of payment used for the resident payment
Show 14 enum values
CHECKCHECK21CASHIERS_CHECKCREDIT_CARDCASHMONEY_ORDEROTHERCLICKPAYSECTION8EPAYECHECKNACHARENTMONEYPUBLIC_ASSISTANCEThe reference number for the resident payment
Description of the resident payment
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/resident-payments/propertyware_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"payment_type": "CHECK",
"reference_number": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"financial_account_id": "string",
"amount_in_cents": 0,
"transaction_date": "2024-07-29T15:51:28.071Z",
"payment_type": "CHECK",
"reference_number": "string",
"description": "string"
}
}